<!-- IGAC proyecto SNC -->
<!-- 
    @author 		david.cifuentes 
    @description  	Página en la que se visualiza el reporte del proyecto de acuerdo
                    de nomenclatura vial y en la cúal está ubicado el botón radicar 
                    que radica para envio el proyecto de acuerdo.
-->

<h:form xmlns="http://www.w3.org/1999/xhtml"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:p="http://primefaces.org/ui" id="oficioProyectoDeAcuerdoNomenclaturaVialForm"
        prependId="false" onkeypress="return event.keyCode != 13;">

    <h:panelGrid columns="1" width="100%" id="oficioProyectoDeAcuerdoNomenclaturaVial">
        <p:fieldset>
            <h:panelGrid columns="2" width="100%">

                <h:panelGrid columns="1">
                    <embed src="#{managedBeanParam.urlArchivo}"
                           width="600" height="400" />
                </h:panelGrid>
                <h:panelGrid columns="1">

                    <h:panelGrid columns="1">

                        <p:messages id="msgOficio" showDetail="false" globalOnly="false" />

                        <p:spacer height="100" width="0" />
                        <h:panelGrid columns="1" width="100%">

                            <p:commandButton value="Radicar" id="radicarBtn"
                                             style="width:100px;height:20px;" icon="ui-icon-pin-w"
                                             oncomplete="confirmacionRadicarProyectoDeAcuerdoWV.show()">
                            </p:commandButton>

                            <p:commandButton value="Imprimir" id="imprimirBtn" ajax="false"
                                             style="width:100px;height:20px;" icon="ui-icon ui-icon-print"
                                             immediate="true">
                                <p:fileDownload
                                    value="#{managedBeanParam.reporteOficioDeAcuerdo}" />
                            </p:commandButton>

                            <p:commandButton value="Cerrar" title="Cierra esta ventana"
                                             style="width:100px;height:20px;"
                                             oncomplete="proyectoDeAcuerdoAvanzarWV.hide()" icon="ui-icon-close" />


                        </h:panelGrid>
                    </h:panelGrid>
                </h:panelGrid>
            </h:panelGrid>
        </p:fieldset>
    </h:panelGrid>
</h:form>